%define with_lua 1
%define libname libwireshark
%define majver %(echo %version | cut -d. -f1-2)

Name:          wireshark
Version:       3.4.5
Release:       1mamba
Summary:       A free network protocol analyzer
Group:         Network/Monitoring
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.wireshark.org
Source:        http://www.wireshark.org/download/src/wireshark-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbrotli-devel
BuildRequires: libcap-devel
BuildRequires: libcares-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libglib-devel
BuildRequires: libgnutls-devel
BuildRequires: libkrb5-devel
BuildRequires: liblua-devel
BuildRequires: liblz4-devel
BuildRequires: libmaxminddb-devel
BuildRequires: libminizip1-devel
BuildRequires: libnghttp2-devel
BuildRequires: libnl-devel
BuildRequires: libopus-devel
BuildRequires: libpcap-devel
BuildRequires: libqt5-devel
BuildRequires: libreadline-devel
BuildRequires: libsbc-devel
BuildRequires: libsnappy-devel
BuildRequires: libssh-devel
BuildRequires: libstdc++6-devel
BuildRequires: libsystemd-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
BuildRequires: libzstd-devel
## AUTOBUILDREQ-END
BuildRequires: libminizip-devel >= 2.10.0-2mamba
BuildRequires: libmaxminddb-devel
BuildRequires: libe2fs-devel
BuildRequires: perl
BuildRequires: libxslt-devel
BuildRequires: libxml2-utils
BuildRequires: pkgconfig
BuildRequires: net-snmp-devel
BuildRequires: doxygen
BuildRequires: python
BuildRequires: flex
%if %with_lua
BuildRequires: liblua52-devel
%endif
Obsoletes:     ethereal
Provides:      ethereal = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description
Wireshark is a free network protocol analyzer for Unix and Windows.
It allows you to examine data from a live network or from a capture file on disk.
You can interactively browse the capture data, viewing summary and detail information for each packet.
Wireshark has several powerful features, including a rich display filter language and the ability to view the reconstructed stream of a TCP session.

%package qt
Summary:       A free network protocol analyzer (QT frontend)
Group:         System/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description qt
Wireshark is a free network protocol analyzer for Unix and Windows.
This package provides the QT frontend.

%package -n %{libname}
Summary:       The development file for application which use %{name}
Group:         System/Libraries

%description -n %{libname}
Wireshark is a free network protocol analyzer for Unix and Windows.
You should install %{libname} to use tools who use %{name} features.

%package -n %{libname}-devel
Summary:       Static libraries and headers for %{name}
Group:         Development/Libraries
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-devel
Wireshark is a free network protocol analyzer for Unix and Windows.
This package contains static libraries and header files need for development.

%debug_package

%prep
%setup -q
#-D -T

%build
#:<< _EOF
%if %with_lua
export LDFLAGS="-ldl `pkg-config --libs lua5.2`"
export CPPFLAGS="%{optflags} -I/usr/include/gtk-3.0"
export CFLAGS="%{optflags} `pkg-config --cflags lua5.2`"
%endif
#% configure \
#   --disable-usr-local \
#   --enable-shared \
#   --disable-static \
#   --enable-dftest \
#   --enable-randpkt \
#   --with-ssl \
#   --enable-wireshark

%cmake \
   -DLUA_LIBRARY=%{_libdir}/liblua5.2.so

#% if %with_lua
#   --with-lua=`pkg-config --cflags lua5.1`
#% endif

#   --without-ucdsnmp \
#   --with-net-snmp \

%make
# -j1

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
# Workaround
mkdir -p %{buildroot}/ui/gtk/ui

%makeinstall

##install headers
#for f in epan epan/compress epan/crypt epan/dfilter epan/dissectors \
#         epan/nghttp2 epan/wmem epan/wslua epan/ftypes wiretap; do
#   install -d %{buildroot}%{_includedir}/wireshark/$f
#   cp $f/*.h %{buildroot}%{_includedir}/wireshark/$f/
#done
#cp color.h config.h register.h %{buildroot}%{_includedir}/wireshark/
#
#rm -f %{buildroot}%{_libdir}/%{name}/plugins/%{version}/*.la

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/capinfos
%{_bindir}/captype
%attr(4750,root,sysadmin) %{_bindir}/dumpcap
%{_bindir}/editcap
%{_bindir}/idl2wrs
%{_bindir}/mergecap
%{_bindir}/mmdbresolve
%{_bindir}/randpkt
%{_bindir}/rawshark
%{_bindir}/reordercap
%{_bindir}/sharkd
%{_bindir}/text2pcap
%{_bindir}/tshark
#%{_bindir}/tfshark
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/AUTHORS-SHORT
%{_datadir}/%{name}/COPYING
%{_datadir}/%{name}/*.html
%{_datadir}/%{name}/*.lua
%{_datadir}/%{name}/cfilters
%{_datadir}/%{name}/colorfilters
%{_datadir}/%{name}/dfilters
%{_datadir}/%{name}/dfilter_macros
%dir %{_datadir}/%{name}/diameter
%{_datadir}/%{name}/diameter/*
%{_datadir}/%{name}/dtds
%{_datadir}/%{name}/enterprises.tsv
%{_datadir}/%{name}/manuf
%{_datadir}/%{name}/pdml2html.xsl
%dir %{_datadir}/%{name}/profiles
%{_datadir}/%{name}/profiles/*
%dir %{_datadir}/%{name}/radius
%{_datadir}/%{name}/radius/*
%{_datadir}/%{name}/tpncp
%{_datadir}/%{name}/wka
%dir %{_datadir}/%{name}/wimaxasncp
%{_datadir}/%{name}/wimaxasncp/dictionary.*
%{_datadir}/%{name}/ws.css
%{_datadir}/%{name}/services
%{_datadir}/%{name}/smi_modules
%{_mandir}/man?/*

%files qt
%defattr(-,root,root)
%{_bindir}/wireshark
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/wireshark.appdata.xml
%{_datadir}/mime/packages/wireshark.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/mimetypes/application-wireshark-doc.png
%{_datadir}/icons/hicolor/scalable/apps/wireshark.svg
%dir %{_datadir}/doc/wireshark
%{_datadir}/doc/wireshark/*.html

%files -n %{libname}
%defattr(-,root,root)
%dir %{_libdir}/wireshark
%dir %{_libdir}/wireshark/extcap
%{_libdir}/wireshark/extcap/*
%{_libdir}/libwireshark.so.*
%{_libdir}/libwiretap.so.*
%{_libdir}/libwsutil.so.*
%dir %{_libdir}/%{name}/plugins/%{majver}
%dir %{_libdir}/%{name}/plugins/%{majver}/codecs
%{_libdir}/%{name}/plugins/%{majver}/codecs/*.so
%dir %{_libdir}/%{name}/plugins/%{majver}/epan
%{_libdir}/%{name}/plugins/%{majver}/epan/*.so
%dir %{_libdir}/%{name}/plugins/%{majver}/wiretap
%{_libdir}/%{name}/plugins/%{majver}/wiretap/*.so
%doc AUTHORS COPYING

%files -n %{libname}-devel
%defattr(-,root,root)
%dir %{_includedir}/wireshark
%{_includedir}/wireshark/*
%{_libdir}/libwireshark.so
%{_libdir}/libwiretap.so
%{_libdir}/libwsutil.so
%{_libdir}/pkgconfig/wireshark.pc
%dir %{_libdir}/wireshark/cmake
%{_libdir}/wireshark/cmake/*.cmake
%doc NEWS README*

%changelog
* Sun Apr 25 2021 Automatic Build System <autodist@mambasoft.it> 3.4.5-1mamba
- automatic version update by autodist

* Thu Mar 11 2021 Automatic Build System <autodist@mambasoft.it> 3.4.4-1mamba
- automatic version update by autodist

* Sat Jan 30 2021 Automatic Build System <autodist@mambasoft.it> 3.4.3-1mamba
- automatic version update by autodist

* Fri Jan 15 2021 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Thu Dec 10 2020 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Fri Oct 30 2020 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Mon Oct 19 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.1-2mamba
- rebuilt by autoport with build requirements: libminizip-devel>=2.10.0-2mamba

* Fri Oct 02 2020 Automatic Build System <autodist@mambasoft.it> 3.3.1-1mamba
- automatic version update by autodist

* Wed Sep 16 2020 Automatic Build System <autodist@mambasoft.it> 3.3.0-1mamba
- automatic version update by autodist

* Sun Aug 23 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.6-1mamba
- update to 3.2.6

* Fri Aug 02 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.0-1mamba
- update to 3.1.0

* Wed Mar 21 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.1-1mamba
- update to 2.5.1

* Wed Dec 30 2015 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Tue Nov 24 2015 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Fri May 08 2015 Automatic Build System <autodist@mambasoft.it> 1.99.5-1mamba
- automatic update by autodist

* Tue Apr 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.2-2mamba
- install headers

* Tue Mar 03 2015 Automatic Build System <autodist@mambasoft.it> 1.99.2-1mamba
- automatic update by autodist

* Fri Jun 13 2014 Automatic Build System <autodist@mambasoft.it> 1.10.8-1mamba
- automatic version update by autodist

* Wed Apr 23 2014 Automatic Build System <autodist@mambasoft.it> 1.10.7-1mamba
- automatic version update by autodist

* Mon Apr 21 2014 Automatic Build System <autodist@mambasoft.it> 1.10.6-1mamba
- automatic version update by autodist

* Sat Mar 23 2013 Automatic Build System <autodist@mambasoft.it> 1.9.1-1mamba
- automatic version update by autodist

* Thu Mar 07 2013 Automatic Build System <autodist@mambasoft.it> 1.8.6-1mamba
- automatic version update by autodist

* Thu Jan 31 2013 Automatic Build System <autodist@mambasoft.it> 1.8.5-1mamba
- automatic version update by autodist

* Thu Nov 29 2012 Automatic Build System <autodist@mambasoft.it> 1.8.4-1mamba
- automatic version update by autodist

* Wed Oct 03 2012 Automatic Build System <autodist@mambasoft.it> 1.8.3-1mamba
- automatic version update by autodist

* Sun Aug 19 2012 Automatic Build System <autodist@mambasoft.it> 1.8.2-1mamba
- automatic version update by autodist

* Tue Jul 31 2012 Automatic Build System <autodist@mambasoft.it> 1.8.1-1mamba
- automatic version update by autodist

* Wed May 23 2012 Automatic Build System <autodist@mambasoft.it> 1.6.8-1mamba
- automatic version update by autodist

* Sat Apr 07 2012 Automatic Build System <autodist@mambasoft.it> 1.6.7-1mamba
- automatic version update by autodist

* Wed Mar 28 2012 Automatic Build System <autodist@mambasoft.it> 1.6.6-1mamba
- automatic version update by autodist

* Wed Jan 11 2012 Automatic Build System <autodist@mambasoft.it> 1.6.5-1mamba
- automatic version update by autodist

* Sat Nov 19 2011 Automatic Build System <autodist@mambasoft.it> 1.6.4-1mamba
- automatic version update by autodist

* Wed Nov 02 2011 Automatic Build System <autodist@mambasoft.it> 1.6.3-1mamba
- automatic version update by autodist

* Fri Sep 09 2011 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic version update by autodist

* Tue Jul 19 2011 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic update by autodist

* Wed Jun 15 2011 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic update by autodist

* Mon May 16 2011 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic update by autodist

* Wed Feb 23 2011 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic update by autodist

* Tue Jan 25 2011 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic update by autodist

* Sat Nov 20 2010 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic update to 1.4.2 by autodist

* Tue Oct 12 2010 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic update to 1.4.1 by autodist

* Tue Sep 07 2010 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- update to 1.4.0

* Mon Jan 25 2010 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic update by autodist

* Sat Oct 17 2009 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic update by autodist

* Wed Sep 16 2009 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic update to 1.2.2 by autodist

* Tue Jul 21 2009 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic update to 1.2.1 by autodist

* Thu Jun 18 2009 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic update to 1.2.0 by autodist

* Sat Apr 04 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.3-1mamba
- automatic update by autodist

* Tue Feb 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.6-1mamba
- automatic update to 1.0.6 by autodist

* Thu Dec 11 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.5-1mamba
- automatic update to 1.0.5 by autodist

* Wed Oct 22 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-1mamba
- automatic update to 1.0.4 by autodist

* Fri Sep 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-1mamba
- automatic update to 1.0.3 by autodist

* Tue Jul 29 2008 gil <puntogil@libero.it> 1.0.2-1mamba
- update to 1.0.2

* Tue Jul 01 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-1mamba
- update to 1.0.1
- set dumpcap suid root for users in group 'sysadmin'

* Tue Apr 22 2008 Aleph0 <aleph0@openmamba.org> 1.0.0-1mamba
- update to 1.0.0
- created the subpackages %{libname} and %{libname}-devel

* Thu Feb 28 2008 Aleph0 <aleph0@openmamba.org> 0.99.8-1mamba
- update to 0.99.8 (fixes several security issues)
- created the subpackages %{libname} and %{libname}-devel

* Fri Oct 19 2007 Aleph0 <aleph0@openmamba.org> 0.99.6-1mamba
- update to 0.99.6
- add build requirement for libportaudio

* Thu Mar 22 2007 Aleph0 <aleph0@openmamba.org> 0.99.5-1qilnx
- update to version 0.99.5 by autospec
- add some missing build requirements
- conditionally build the lua plugin

* Wed Apr 26 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.99.0-1qilnx
- update to version 0.99.0 by autospec
- fixes several security issues: CVE-2006-19[32-40] (qibug#158)

* Tue Jan 10 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.14-2qilnx
- rebuilt

* Tue Jan 03 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.14-1qilnx
- update to version 0.10.14 by autospec
- also fixes several security issues
- fix for CVE-2005-3651 removed (merged upstream)

* Fri Dec 16 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.13-2qilnx
- fixed vulnerability CVE-2005-3651 (qibug#94)

* Mon Oct 24 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.13-1qilnx
- update to version 0.10.13 by autospec
- contains security fix for QSA-2005-124 (CAN-2005-3184)

* Mon Oct 10 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.12-2qilnx
- rebuilt

* Thu Jul 28 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.12-1qilnx
- update to version 0.10.12 by autospec
- also fix several security issues: QSA-2005-084 (CAN-2005-236[0-7])

* Thu May 05 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.11-1qilnx
- update to version 0.10.11 by autospec
- also fix several security issues (QSA-2005-060)

* Mon Mar 14 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.10-1qilnx
- update to version 0.10.10 by autospec
- also fixes security flaws QSA-2005-026 (CAN-2005-0[699,704,705] and more)

* Tue Jan 25 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.9-1qilnx
- update to version 0.10.9 by autospec
- also fixes security flaws QSA-2005-007 (CAN-2005-00[06,07,08,09,10,84])

* Fri Dec 24 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.8-2qilnx
- rebuild with new libe2fs-devel, libkrb5-devel packages

* Tue Dec 21 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.8-1qilnx
- update to version 0.10.8 by autospec
- also fixes security flaws QSA-2004-068 (CAN-2004-11[39,40,41,42])

* Fri Oct 22 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.7-1qilnx
- update to version 0.10.7 by autospec

* Mon Jul 12 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.5-1qilnx
- new version rebuild.
- also fix security issues: CAN-2004-0633, CAN-2004-0634, CAN-2004-0635

* Fri May 14 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.4-1qilnx
- new version rebuild

* Fri Mar 26 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.3-1qilnx
- new version rebuild

* Tue Feb 24 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.2-1qilnx
- new version rebuild
- added .desktop file entry for KDE and ethereal icons
- added documentation

* Wed Jan 07 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.0a-1qilnx
- security update

* Mon Nov 10 2003 Davide Madrisan <davide.madrisan@qilinux.it> 0.9.16-1qilnx
- rebuilt with version 0.9.16 (fix potential security issues)

* Mon Oct 27 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.15-2qilnx
- fixed atk version dependency

* Thu Oct 16 2003 Davide Madrisan <davide.madrisan@qilinux.it> 0.9.15-1qilnx
- rebuilt with version 0.9.15

* Thu Jun 19 2003 Silvan Calarco <silvan.calarco@qinet.it> 0.9.13-1qilnx
- first build
